-- 理赔业务数据
create table CKDWDREGIST(
     checkDate                  varchar(64) -- 勘察日期
    ,linkerPhoneNo              varchar(64)  -- 联系人手机
    ,damageStartDate            varchar(64)  -- 出险时间
    ,claimDate                  varchar(64)  -- 立案日期
    ,sumclaim                   varchar(64)  -- 估损金额
    ,compensateVericDate        varchar(64)  -- 核赔日期
    ,closeCaseDate              varchar(64)  -- 结案时间
    ,sumThisPaid                varchar(64)  -- 总赔付金额
    ,sumDutyPaid                varchar(64)  -- 直接理赔费用总金额原币金额
    ,recaseDate                 varchar(64)  -- 案件重开时间
    ,completeDate               varchar(64)  -- 资料接收齐全时间
    ,indemnityDutyRate          varchar(32)  -- 车赔付比例
    ,paidRate                   varchar(32)  -- 财赔付比例
    ,originPaidRate             varchar(32)  -- 人赔付比例
    ,crippleDegreeOne           varchar(64)  -- 伤残等级、伤残代码
    ,damageName                 varchar(64)  -- 出险原因名称
    ,damageTypeCode             varchar(64)  -- 事故分类代码
    ,damageTypeName             varchar(64)  -- 事故分类名称
    ,accidentDealType           varchar(64)  -- 处理方式代码
    ,accidentDealTypeName       varchar(64)  -- 处理方式名称
    ,repairFactoryName          varchar(128) -- 修理厂名称
    ,damageCode                 varchar(64)  -- 出险原因码值
    ,injurySiteCode             varchar(64)  -- 受伤部位
    ,crippleDegreeOneCode       varchar(64)  -- 伤残程度代码
    ,crippleDegreeOneName       varchar(64)  -- 伤残程度名称
    ,treatedType                varchar(64)  -- 伤亡人员医疗类型
    ,hospitalName               varchar(128) -- 医疗机构名称
    ,nonlocalIdentFlag          varchar(64)  -- 异地鉴定标志
    ,subCertiType               varchar(64)  -- 责任认定书类型代码
    ,subCertiTypeName           varchar(64)  -- 责任认定书类型名称
    ,verifyLossCar              varchar(64)  -- 车核定损失金额
    ,verifyLossWealth           varchar(64)  -- 财核定损失金额
    ,verifyLossPeople           varchar(64)  -- 人核定损失金额
    ,subjectTypeCode            varchar(64)  -- 被追偿方类型
    ,subjectTypeName            varchar(64)  -- 被追偿方名称
    ,log_time                   varchar(32)  -- 加工平台处理数据时间
    ,ERRORMSG                   varchar(1024) 
    ,AERRORMSG                  varchar(512)
    ,BERRORMSG                  varchar(512)
    ,CERRORMSG                  varchar(512)
    ,DERRORMSG                  varchar(512)
    ,EERRORMSG                  varchar(512)
    ,VALI_TIME                  varchar(32)      
    ,VALI_DATE                  varchar(32) 
 ) ;