-- CK_ODS_CKODSENDOR CK_ODS_批单业务数据
insert into CK_ODS.CK_ODS_KAFKA.CKODSENDOR -- topic CKODSENDOR
select
      s1.endorseNo                                        as endorseNo             -- 保单号
    , s1.businessNo                                       as businessNo            -- 业务号
    , s1.businessOffice                                   as businessOffice        -- 保单归属机构代码
    , s1.productCode                                      as productCode           -- 险种代码
    , plpEndorse.plpEndorseContent[1].endorseTypeCode  as contendorseTypeCode       -- 批改类型代码
    , plpEndorse.plpEndorseCommission[1].clauseName    as clauseName            -- 条款名称
    , plpEndorse.endorseTypeCode                       as endorseTypeCode       -- 批改类型
    , plpEndorse.endorseApplyTime                      as endorseApplyTime      -- 批改申请时间
    , plpEndorse.endorseApplicantName                  as endorseApplicantName  -- 批改申请人名称
    , plpEndorse.uwConclueDate                         as uwConclueDate         -- 核批通过时间
	, DATE_FORMAT(LOCALTIMESTAMP,'yyyy-MM-dd HH:mm:ss')      as log_time  -- 加工平台处理数据时间

from ODS.ODS_KAFKA.ENDOR s1

;
